Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.segment
Class MSH

    java.lang.Object
      com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
          com.stc.connector.hl7.framework.structure.segment.GenericSegmentImpl
              com.stc.connector.hl7.framework.structure.segment.MSH

All Implemented Interfaces:
  Component, Segment

    public class MSH

extends GenericSegmentImpl
implements Segment

This class represents a generic HL7 MSH message segment. This segment has the following fields:

MSH-1: Field Separator (ST)
MSH-2: Encoding Characters (ST)
MSH-3: Sending Application (HD)
MSH-4: Sending Facility (HD)
MSH-5: Receiving Application (HD)
MSH-6: Receiving Facility (HD)
MSH-7: Date/Time Of Message (TS)
MSH-8: Security (ST)
MSH-9: Message Type (CM_MSG)
MSH-10: Message Control ID (ST)
MSH-11: Processing ID (PT)
MSH-12: Version ID (VID)
MSH-13: Sequence Number (NM)
MSH-14: Continuation Pointer (ST)
MSH-15: Accept Acknowledgment Type (ID) (Available since Version 2.2)
MSH-16: Application Acknowledgment Type (ID) (Available since Version 2.2)
MSH-17: Country Code (ID) (Available since Version 2.2)
MSH-18: Character Set (ID) (Available since Version 2.3)
MSH-19: Principal Language Of Message (CE) (Available since Version 2.3)
MSH-20: Alternate Character Set Handling Scheme (ID) (Available since Version 2.3.1)
MSH-21: Conformance Statement ID (ID) (Available since Version 2.4, and it becomes "Message Profile Identifier" since version 2.5)

Version:
  cvs revision: $Revision: 1.6 $ Last Modified: $Date: 2005/09/03 06:28:38 $
Author:
  Harry Liu

Field Summary
`static char` | `DEFAULT_COMPONENT_SEPARATOR_CHAR`
`static java.lang.String` | `DEFAULT_COMPONENT_SEPARATOR_STRING`
`static char` | `DEFAULT_ESCAPE_CHARACTER_CHAR`
`static java.lang.String` | `DEFAULT_ESCAPE_CHARACTER_STRING`
`static char` | `DEFAULT_FIELD_SEPARATOR_CHAR`
`static java.lang.String` | `DEFAULT_FIELD_SEPARATOR_STRING`
`static char` | `DEFAULT_REPETITION_SEPARATOR_CHAR`
`static java.lang.String` | `DEFAULT_REPETITION_SEPARATOR_STRING`
`static char` | `DEFAULT_SUBCOMPONENT_SEPARATOR_CHAR`
`static java.lang.String` | `DEFAULT_SUBCOMPONENT_SEPARATOR_STRING`
`static java.lang.String` | `version`

Constructor Summary
`MSH(Message message, Field[] fields)` Constructor for MSH.
`MSH(Message message, java.lang.String content)` Constructor for MSH.

Method Summary
`Field` | `getSeq00SegmentName()` Method getSeq00FieldSeparator.
`Field` | `getSeq01FieldSeparator()` Method getSeq01FieldSeparator.
`Field` | `getSeq02EncodingCharacters()` Method getSeq02EncodingCharacters.
`Field` | `getSeq03SendingApplication()` Method getSeq03SendingApplication.
`Field` | `getSeq04SendingFacility()` Method getSeq04SendingFacility.
`Field` | `getSeq05ReceivingApplication()` Method getSeq05ReceivingApplication.
`Field` | `getSeq06ReceivingFacility()` Method getSeq06ReceivingFacility.
`Field` | `getSeq07DateTimeOfMessaage()` Method getSeq07DateTimeOfMessaage.
`Field` | `getSeq08Security()` Method getSeq08Security.
`Field` | `getSeq09MessageType()` Method getSeq09MessageType.
`Field` | `getSeq10MessageControlID()` Method getSeq10MessageControlID.
`Field` | `getSeq11ProcessingID()` Method getSeq11ProcessingID.
`Field` | `getSeq12VersionID()` Method getSeq12VersionID.
`Field` | `getSeq13SequenceNumber()` Method getSeq13SequenceNumber.
`Field` | `getSeq14ContinutionPointer()` Method getSeq14ContinutionPointer.
`Field` | `getSeq15AcceptAcknowledgmentType()` Method getSeq15AcceptAcknowledgmentType.
`Field` | `getSeq16ApplicationAcknowledgmentType()` Method getSeq16ApplicationAcknowledgmentType.
`Field` | `getSeq17CountryCode()` Method getSeq17CountryCode.
`Field` | `getSeq18CharacterSet()` Method getSeq18CharacterSet.
`Field` | `getSeq19PrincipalLanguageOfMessage()` Method getSeq19PrincipalLanguageOfMessage.
`Field` | `getSeq20AlternateCharacterSetHandlingScheme()` Method getSeq20AlternateCharacterSetHandlingScheme.
`Field` | `getSeq21ConformanceStatementID()` Method getSeq21ConformanceStatementID.
`void` | `marshal()` Method marshal.
`void` | `unmarshal()` Method unmarshal.
`void` | `validate(ComponentSpec componentSpec)` Method validate.

Methods inherited from class com.stc.connector.hl7.framework.structure.segment.GenericSegmentImpl
`getFields, setFields, toXMLString`

Methods inherited from class com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
`getContent, getMessage, getName, getStatus, setContent, setMessage, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.hl7.framework.structure.segment.Segment
`getFields`

Methods inherited from interface com.stc.connector.hl7.framework.structure.component.Component
`getContent, getMessage, getName, setContent, setName, toXMLString`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### DEFAULT_FIELD_SEPARATOR_CHAR

    public static final char DEFAULT_FIELD_SEPARATOR_CHAR

See Also:
  Constant Field Values

### DEFAULT_COMPONENT_SEPARATOR_CHAR

    public static final char DEFAULT_COMPONENT_SEPARATOR_CHAR

See Also:
  Constant Field Values

### DEFAULT_REPETITION_SEPARATOR_CHAR

    public static final char DEFAULT_REPETITION_SEPARATOR_CHAR

See Also:
  Constant Field Values

### DEFAULT_ESCAPE_CHARACTER_CHAR

    public static final char DEFAULT_ESCAPE_CHARACTER_CHAR

See Also:
  Constant Field Values

### DEFAULT_SUBCOMPONENT_SEPARATOR_CHAR

    public static final char DEFAULT_SUBCOMPONENT_SEPARATOR_CHAR

See Also:
  Constant Field Values

### DEFAULT_FIELD_SEPARATOR_STRING

    public static final java.lang.String DEFAULT_FIELD_SEPARATOR_STRING

### DEFAULT_COMPONENT_SEPARATOR_STRING

    public static final java.lang.String DEFAULT_COMPONENT_SEPARATOR_STRING

### DEFAULT_REPETITION_SEPARATOR_STRING

    public static final java.lang.String DEFAULT_REPETITION_SEPARATOR_STRING

### DEFAULT_ESCAPE_CHARACTER_STRING

    public static final java.lang.String DEFAULT_ESCAPE_CHARACTER_STRING

### DEFAULT_SUBCOMPONENT_SEPARATOR_STRING

    public static final java.lang.String DEFAULT_SUBCOMPONENT_SEPARATOR_STRING

Constructor Detail

### MSH

    public MSH(Message message,
               java.lang.String content)
        throws HL7ApplicationException

  Constructor for MSH.

  Parameters:
    `message` -
    `content` -
  Throws:
    `HL7ApplicationException`

### MSH

    public MSH(Message message,
               Field[] fields)
        throws HL7ApplicationException

  Constructor for MSH.

  Parameters:
    `message` -
    `fields` -
  Throws:
    `HL7ApplicationException`

Method Detail

### marshal

    public void marshal()
                 throws HL7ApplicationException

  Description copied from interface: `Component`
  Method marshal. Marshal the corresponding structure into content. Once the structure is modified, to refresh the content against the modified structure, this method should be called.

  Specified by:
    `marshal` in interface `Component`
  Overrides:
    `marshal` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.marshal()`

### unmarshal

    public void unmarshal()
                   throws HL7ApplicationException

  Description copied from interface: `Component`
  Method unmarshal. Un-Marshal the content into corresponding structure. Once the content is modified, to refresh the corresponding structure against the modified content, this method should be called.

  Specified by:
    `unmarshal` in interface `Component`
  Overrides:
    `unmarshal` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.unmarshal()`

### getSeq00SegmentName

    public Field getSeq00SegmentName()

  Method getSeq00FieldSeparator.

  Returns:
    Field

### getSeq01FieldSeparator

    public Field getSeq01FieldSeparator()

  Method getSeq01FieldSeparator.

  Returns:
    Field

### getSeq02EncodingCharacters

    public Field getSeq02EncodingCharacters()

  Method getSeq02EncodingCharacters.

  Returns:
    Field

### getSeq03SendingApplication

    public Field getSeq03SendingApplication()

  Method getSeq03SendingApplication.

  Returns:
    Field

### getSeq04SendingFacility

    public Field getSeq04SendingFacility()

  Method getSeq04SendingFacility.

  Returns:
    Field

### getSeq05ReceivingApplication

    public Field getSeq05ReceivingApplication()

  Method getSeq05ReceivingApplication.

  Returns:
    Field

### getSeq06ReceivingFacility

    public Field getSeq06ReceivingFacility()

  Method getSeq06ReceivingFacility.

  Returns:
    Field

### getSeq07DateTimeOfMessaage

    public Field getSeq07DateTimeOfMessaage()

  Method getSeq07DateTimeOfMessaage.

  Returns:
    Field

### getSeq08Security

    public Field getSeq08Security()

  Method getSeq08Security.

  Returns:
    Field

### getSeq09MessageType

    public Field getSeq09MessageType()

  Method getSeq09MessageType.

  Returns:
    Field

### getSeq10MessageControlID

    public Field getSeq10MessageControlID()

  Method getSeq10MessageControlID.

  Returns:
    Field

### getSeq11ProcessingID

    public Field getSeq11ProcessingID()

  Method getSeq11ProcessingID.

  Returns:
    Field

### getSeq12VersionID

    public Field getSeq12VersionID()

  Method getSeq12VersionID.

  Returns:
    Field

### getSeq13SequenceNumber

    public Field getSeq13SequenceNumber()

  Method getSeq13SequenceNumber.

  Returns:
    Field

### getSeq14ContinutionPointer

    public Field getSeq14ContinutionPointer()

  Method getSeq14ContinutionPointer.

  Returns:
    Field

### getSeq15AcceptAcknowledgmentType

    public Field getSeq15AcceptAcknowledgmentType()

  Method getSeq15AcceptAcknowledgmentType.

  Returns:
    Field

### getSeq16ApplicationAcknowledgmentType

    public Field getSeq16ApplicationAcknowledgmentType()

  Method getSeq16ApplicationAcknowledgmentType.

  Returns:
    Field

### getSeq17CountryCode

    public Field getSeq17CountryCode()

  Method getSeq17CountryCode.

  Returns:
    Field

### getSeq18CharacterSet

    public Field getSeq18CharacterSet()

  Method getSeq18CharacterSet.

  Returns:
    Field

### getSeq19PrincipalLanguageOfMessage

    public Field getSeq19PrincipalLanguageOfMessage()

  Method getSeq19PrincipalLanguageOfMessage.

  Returns:
    Field

### getSeq20AlternateCharacterSetHandlingScheme

    public Field getSeq20AlternateCharacterSetHandlingScheme()

  Method getSeq20AlternateCharacterSetHandlingScheme.

  Returns:
    Field

### getSeq21ConformanceStatementID

    public Field getSeq21ConformanceStatementID()

  Method getSeq21ConformanceStatementID.

  Returns:
    Field

### validate

    public void validate(ComponentSpec componentSpec)
                  throws HL7ApplicationException

  Description copied from interface: `Component`
  Method validate. This method is supposed to be called after "new xxxStructureImpl()", that is, "new GenericComponentImpl(...)", "new GenericDataTypeImpl(...)", "new GenericFieldImpl(...)", "new GenericSegmentImpl(...)", "new GenericMessageImpl(...)", "new MSH(...)", "new MSA(...)", "new ERR(...)", "new ACK(...)".

  Specified by:
    `validate` in interface `Component`
  Overrides:
    `validate` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.validate(ComponentSpec)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD